Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sdk
Class SimpleFieldTranslator

`java.lang.Object
oracle.toplink.sdk.SimpleFieldTranslator`

All Implemented Interfaces:
  FieldTranslator, java.io.Serializable

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.eis`

public class SimpleFieldTranslator
extends java.lang.Object
implements FieldTranslator

This is a simple implementation of the `FieldTranslator` interface. It has the ability to do simple field name translations to the database row after it has been returned from a read and before it is used for a write. This implementation will also wrap another `FieldTranslator`, allowing a stack of translators to translate the database rows, without having to share implementation details.

Since:
  TOPLink/Java 3.0
See Also:
  `AbstractSDKCall`, `Association`, Serialized Form

Constructor Summary
`SimpleFieldTranslator()` Deprecated. Default constructor.
`SimpleFieldTranslator(FieldTranslator wrappedTranslator)` Deprecated. Constructor for wrapping another field translator.

Method Summary
`void` | `addReadOnlyTranslation(java.lang.String dataStoreFieldName, java.lang.String mappingFieldName)` Deprecated. Add a translation.
`void` | `addReadOnlyTranslations(java.lang.String[] dataStoreFieldNames, java.lang.String[] mappingFieldNames)` Deprecated. Add translations.
`void` | `addReadOnlyTranslations(java.util.Vector translations)` Deprecated. Add translations.
`void` | `addReadTranslation(java.lang.String dataStoreFieldName, java.lang.String mappingFieldName)` Deprecated. Add a translation.
`void` | `addReadTranslations(java.lang.String[] dataStoreFieldNames, java.lang.String[] mappingFieldNames)` Deprecated. Add translations.
`void` | `addReadTranslations(java.util.Vector translations)` Deprecated. Add translations.
`void` | `addWriteOnlyTranslation(java.lang.String mappingFieldName, java.lang.String dataStoreFieldName)` Deprecated. Add a translation.
`void` | `addWriteOnlyTranslations(java.lang.String[] mappingFieldNames, java.lang.String[] dataStoreFieldNames)` Deprecated. Add translations.
`void` | `addWriteOnlyTranslations(java.util.Vector translations)` Deprecated. Add translations.
`void` | `addWriteTranslation(java.lang.String mappingFieldName, java.lang.String dataStoreFieldName)` Deprecated. Add a translation.
`void` | `addWriteTranslations(java.lang.String[] mappingFieldNames, java.lang.String[] dataStoreFieldNames)` Deprecated. Add translations.
`void` | `addWriteTranslations(java.util.Vector translations)` Deprecated. Add translations.
`FieldTranslator` | `getWrappedTranslator()` Deprecated. Return the wrapped field translator.
`void` | `removeReadOnlyTranslation(java.lang.String dataStoreFieldName)` Deprecated. Remove the specified read translation.
`void` | `removeReadTranslation(java.lang.String dataStoreFieldName)` Deprecated. Remove the specified read translation.
`void` | `removeWriteOnlyTranslation(java.lang.String mappingFieldName)` Deprecated. Remove the specified write translation.
`void` | `removeWriteTranslation(java.lang.String mappingFieldName)` Deprecated. Remove the specified write translation.
`void` | `setWrappedTranslator(FieldTranslator wrappedTranslator)` Deprecated. Set the wrapped field translator.
`DatabaseRow` | `translateForRead(DatabaseRow row)` Deprecated. Translate and return the specified database row that was read from the data store.
`DatabaseRow` | `translateForWrite(DatabaseRow row)` Deprecated. Translate and return the specified database row that will be written to the data store.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleFieldTranslator

    public SimpleFieldTranslator()

  Deprecated.
  Default constructor.

### SimpleFieldTranslator

    public SimpleFieldTranslator(FieldTranslator wrappedTranslator)

  Deprecated.
  Constructor for wrapping another field translator.

Method Detail

### addReadOnlyTranslation

    public void addReadOnlyTranslation(java.lang.String dataStoreFieldName,
                                       java.lang.String mappingFieldName)

  Deprecated.
  Add a translation. When a database row is read from the data store, any field with the specified data store field name will be translated to the specified mapping field name.

### addReadOnlyTranslations

    public void addReadOnlyTranslations(java.lang.String[] dataStoreFieldNames,
                                        java.lang.String[] mappingFieldNames)

  Deprecated.
  Add translations. When a database row is read from the data store, any field with the specified data store field name will be translated to the specified mapping field name.

### addReadOnlyTranslations

    public void addReadOnlyTranslations(java.util.Vector translations)

  Deprecated.
  Add translations. When a database row is read from the data store, any field with the specified data store field name will be translated to the specified mapping field name.

### addReadTranslation

    public void addReadTranslation(java.lang.String dataStoreFieldName,
                                   java.lang.String mappingFieldName)

  Deprecated.
  Add a translation. When a database row is read from the data store, any field with the specified data store field name will be translated to the specified mapping field name. The corresponding write translation will also be added.

### addReadTranslations

    public void addReadTranslations(java.lang.String[] dataStoreFieldNames,
                                    java.lang.String[] mappingFieldNames)

  Deprecated.
  Add translations. When a database row is read from the data store, any field with the specified data store field name will be translated to the specified mapping field name. The corresponding write translations will also be added.

### addReadTranslations

    public void addReadTranslations(java.util.Vector translations)

  Deprecated.
  Add translations. When a database row is read from the data store, any field with the specified data store field name will be translated to the specified mapping field name. The corresponding write translations will also be added.

### addWriteOnlyTranslation

    public void addWriteOnlyTranslation(java.lang.String mappingFieldName,
                                        java.lang.String dataStoreFieldName)

  Deprecated.
  Add a translation. When a database row is to be written to the data store, any field with the specified mapping field name will be translated to the specified data store field name.

### addWriteOnlyTranslations

    public void addWriteOnlyTranslations(java.lang.String[] mappingFieldNames,
                                         java.lang.String[] dataStoreFieldNames)

  Deprecated.
  Add translations. When a database row is to be written to the data store, any field with the specified mapping field name will be translated to the specified data store field name.

### addWriteOnlyTranslations

    public void addWriteOnlyTranslations(java.util.Vector translations)

  Deprecated.
  Add translations. When a database row is to be written to the data store, any field with the specified mapping field name will be translated to the specified data store field name.

### addWriteTranslation

    public void addWriteTranslation(java.lang.String mappingFieldName,
                                    java.lang.String dataStoreFieldName)

  Deprecated.
  Add a translation. When a database row is to be written to the data store, any field with the specified mapping field name will be translated to the specified data store field name. The corresponding read translation will also be added.

### addWriteTranslations

    public void addWriteTranslations(java.lang.String[] mappingFieldNames,
                                     java.lang.String[] dataStoreFieldNames)

  Deprecated.
  Add translations. When a database row is to be written to the data store, any field with the specified mapping field name will be translated to the specified data store field name. The corresponding read translations will also be added.

### addWriteTranslations

    public void addWriteTranslations(java.util.Vector translations)

  Deprecated.
  Add translations. When a database row is to be written to the data store, any field with the specified mapping field name will be translated to the specified data store field name. The corresponding read translations will also be added.

### getWrappedTranslator

    public FieldTranslator getWrappedTranslator()

  Deprecated.
  Return the wrapped field translator.

### removeReadOnlyTranslation

    public void removeReadOnlyTranslation(java.lang.String dataStoreFieldName)

  Deprecated.
  Remove the specified read translation.

### removeReadTranslation

    public void removeReadTranslation(java.lang.String dataStoreFieldName)

  Deprecated.
  Remove the specified read translation. The corresponding write translation will also be removed.

### removeWriteOnlyTranslation

    public void removeWriteOnlyTranslation(java.lang.String mappingFieldName)

  Deprecated.
  Remove the specified write translation.

### removeWriteTranslation

    public void removeWriteTranslation(java.lang.String mappingFieldName)

  Deprecated.
  Remove the specified write translation. The corresponding read translation will also be removed.

### setWrappedTranslator

    public void setWrappedTranslator(FieldTranslator wrappedTranslator)

  Deprecated.
  Set the wrapped field translator.

### translateForRead

    public DatabaseRow translateForRead(DatabaseRow row)

  Deprecated.
  Translate and return the specified database row that was read from the data store. Invoke the wrapped translator before performing the field translations.
  Specified by:
    `translateForRead` in interface `FieldTranslator`

### translateForWrite

    public DatabaseRow translateForWrite(DatabaseRow row)

  Deprecated.
  Translate and return the specified database row that will be written to the data store. Perform the field translations, then invoke the wrapped translator.
  Specified by:
    `translateForWrite` in interface `FieldTranslator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD